SessionParameters.Builder (Bouncy Castle Library 1.52 API Specification)
Date: 2015-03-01

org.bouncycastle.crypto.tls

## Class SessionParameters.Builder

- java.lang.Object
- - org.bouncycastle.crypto.tls.SessionParameters.Builder

- Enclosing class:
    SessionParameters

      public static final class SessionParameters.Builder
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SessionParameters.Builder()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `SessionParameters` | `build()`
    `SessionParameters.Builder` | `setCipherSuite(int cipherSuite)`
    `SessionParameters.Builder` | `setCompressionAlgorithm(short compressionAlgorithm)`
    `SessionParameters.Builder` | `setMasterSecret(byte[] masterSecret)`
    `SessionParameters.Builder` | `setPeerCertificate(Certificate peerCertificate)`
    `SessionParameters.Builder` | `setPskIdentity(byte[] pskIdentity)` Deprecated. Use {@link #setPSKIdentity(byte[]))
    `SessionParameters.Builder` | `setPSKIdentity(byte[] pskIdentity)`
    `SessionParameters.Builder` | `setServerExtensions(java.util.Hashtable serverExtensions)`
    `SessionParameters.Builder` | `setSRPIdentity(byte[] srpIdentity)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SessionParameters.Builder

          public SessionParameters.Builder()

  - ### Method Detail

    - #### build

          public SessionParameters build()

    - #### setCipherSuite

          public SessionParameters.Builder setCipherSuite(int cipherSuite)

    - #### setCompressionAlgorithm

          public SessionParameters.Builder setCompressionAlgorithm(short compressionAlgorithm)

    - #### setMasterSecret

          public SessionParameters.Builder setMasterSecret(byte[] masterSecret)

    - #### setPeerCertificate

          public SessionParameters.Builder setPeerCertificate(Certificate peerCertificate)

    - #### setPskIdentity

          public SessionParameters.Builder setPskIdentity(byte[] pskIdentity)

      Deprecated. Use {@link #setPSKIdentity(byte[]))

    - #### setPSKIdentity

          public SessionParameters.Builder setPSKIdentity(byte[] pskIdentity)

    - #### setSRPIdentity

          public SessionParameters.Builder setSRPIdentity(byte[] srpIdentity)

    - #### setServerExtensions

          public SessionParameters.Builder setServerExtensions(java.util.Hashtable serverExtensions)
                                                        throws java.io.IOException

      Throws:
        `java.io.IOException`